Subject: Re: [PATCH] checkout: respect diff.ignoreSubmodules setting

From: Jens Lehmann <[email-masked]>
Date: Wed, 25 Aug 2010 19:48:40 +0200

Am 25.08.2010 12:34, schrieb Johannes Schindelin:
> 
> When 'git checkout' reports uncommitted changes, it also does so for
> submodules.
> 
> The default mode is now to look really hard into submodules, not only
> for different commits, but also for modified files. Since this can be
> pretty expensive when there are a lot (and large) submodules, there is
> the diff.ignoreSubmodules option.
> 
> Let's respect that setting when 'git checkout' reports the uncommitted
> changes, since it does nothing else than a 'git diff --name-status'.
> 
> Signed-off-by: Johannes Schindelin <[email-masked]>

Thanks for fixing that!

Acked-by: Jens Lehmann <[email-masked]>